Bug 97381 - mount reports "NFSv3 not supported" not always accurate
Summary: mount reports "NFSv3 not supported" not always accurate
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-13 21:31 UTC by Arthur Dent
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 20:58:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arthur Dent 2003-06-13 21:31:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When attempting to mount an NFS share to a mount point that doesn't exist, mount
seems to also report that "NFSv3 not supported!" even if it is.

example:

[root@ts_10_1_30_172 /]# mount /corelog
NFSv3 not supported!
mount: mount point /corelog does not exist
[root@ts_10_1_30_172 /]# mkdir /corelog
[root@ts_10_1_30_172 /]# mount /corelog
[root@ts_10_1_30_172 /]# 


and the relevant /etc/fstab line:
10.1.30.218:/vol/vol0/corelog /corelog          nfs    
rw,soft,intr,nfsvers=3,wsize=32768,rsize=32768,proto=tcp,timeo=3,retrans=1,noac,sync
0 0

additional information:
I'm running a monolithic stock redhat kernel.

Version-Release number of selected component (if applicable):
util-linux-2.11y-9

How reproducible:
Always

Steps to Reproduce:
1.attempt to mount an nfs share with nfsvers=3 to a non-existent mount point.
    

Actual Results:  mount will correctly indicate "mount: mount point /xxx does not
exist" but will also indicate "NFSv3 not supported!" even if NFSv3 is supported.

Expected Results:  mount should not incorrectly state that NFSv3 is not supported.

Additional info:

Comment 1 Elliot Lee 2003-07-14 20:58:12 UTC
Some obscure mount bug. Should be partly fixed in rawhide, but that makes the message 
go away in this situation only.


Note You need to log in before you can comment on or make changes to this bug.